%define pkgname tmail

Name: ruby-%pkgname
Version: 0.10.8
Release: alt1.M40.1

Summary: Mail handling library for Ruby
License: GPL
Group: Development/Ruby
URL: http://i.loveruby.net/en/tmail.html

Requires: ruby-stdlibs >= 1.8-alt3
# Automatically added by buildreq on Thu Jan 30 2003
BuildRequires: libruby-devel >= 1.8-alt3 ruby

Source: http://i.loveruby.net/archive/tmail/%pkgname-%version.tar.gz
Patch0: tmail-0.10.8-alt-header_orig.patch
Patch1: tmail-0.10.8-alt-syntax.patch

%description
TMail is mail handling library for Ruby. TMail can extract data from mail,
and write data to mail following by RFC procedures.

%prep
%setup -n %pkgname-%version
%patch0 -p1
%patch1 -p1

%build
ruby -rvendor-specific setup.rb config --ruby-prog=/usr/bin/ruby
ruby setup.rb setup

%install
ruby setup.rb install --prefix=%buildroot

%files
%ruby_sitearchdir/*
%ruby_sitelibdir/*
%doc README* Incompatibilities* doc* sample BUGS ChangeLog NEWS TODO

%changelog
* Mon Feb 09 2009 Michael Shigorin <mike@altlinux.org> 0.10.8-alt1.M40.1
- fixed syntax warning (discovered while using yabeda)

* Wed Apr 28 2004 Sir Raorn <raorn@altlinux.ru> 0.10.8-alt1
- New version

* Mon Jul 07 2003 Alexander Bokovoy <ab@altlinux.ru> 0.10.6-alt3
- Rebuild against Ruby 1.8-alt3
- FIxed:
    + ruby-tmail should not probide RACC, it is already in Ruby 1.8
    + Documentation is included

* Thu Jan 30 2003 Kachalov Anton <mouse@altlinux.ru> 0.10.6-alt2
- buildreq

* Tue Dec 10 2002 Kachalov Anton <mouse@altlinux.ru> 0.10.6-alt1
- new version


